---
lang: en
title: 'API docs: rest.resolvednode'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.resolvednode.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ResolvedNode](./rest.resolvednode.md)

## ResolvedNode interface

**Signature:**

```typescript
export interface ResolvedNode<T> 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[node](./rest.resolvednode.node.md)


</td><td>


</td><td>

[Node](./rest.node.md)<!-- -->&lt;T&gt;


</td><td>


</td></tr>
<tr><td>

[params?](./rest.resolvednode.params.md)


</td><td>


</td><td>

[PathParameterValues](./rest.pathparametervalues.md)


</td><td>

_(Optional)_


</td></tr>
</tbody></table>


